{ ... }:

{
  imports = [
    # Include the results of the hardware scan.
    (if builtins.pathExists /etc/nixos/hardware-configuration.nix then /etc/nixos/hardware-configuration.nix else null)
    # Include device-specific overrides
    (if builtins.pathExists /etc/nixos/device-configuration.nix then /etc/nixos/device-configuration.nix else null)
    ../nix-os/core.nix
    ../nix-os/nvidia.nix
    ../nix-os/docker.nix
    ../nix-os/razer.nix
    ../nix-os/desktopManagers/gnome.nix
    ../nix-os/displayManagers/gdm.nix
    #../nix-os/desktop/kde-plasma.nix
    ../nix-os/shell.nix
    ../nix-os/virtualization.nix
    ../nix-os/polkit/disable-shutdown.nix
    ../nix-os/locale.nix
    ../nix-os/adb.nix
    ../nix-os/account.nix
    ../nix-os/xdg-default-apps.nix
  ];
}